package com.qs.mp.user.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * @describe 用户实物奖品仓库实体类
 * @auther quanshu
 * @create 2022-03-07 20:45:43
 */
@TableName("mp_user_prize_storage")
@Data
public class UserPrizeStorage implements Serializable {

  private static final long serialVersionUID = 1L;

  /**
   * 主键
   */
  @TableId(value = "storage_id", type = IdType.AUTO)
  private Long storageId;

  /**
   * 用户ID
   */
  @TableField("user_id")
  private Long userId;

  /**
   * 商品ID
   */
  @TableField("goods_id")
  private String goodsId;

  /**
   * sku ID
   */
  @TableField("sku_id")
  private String skuId;

  /**
   * sku 属性
   */
  @TableField("properties")
  private String properties;

  /**
   * 商品标题
   */
  @TableField("title")
  private String title;

  /**
   * 商品图片
   */
  @TableField("pic_url")
  private String picUrl;

  /**
   * 商品数
   */
  @TableField("goods_num")
  private String goodsNum;

  /**
   * 状态;1待提货、2已提货
   */
  @TableField("status")
  private Integer status;

  /**
   * 创建时间
   */
  @TableField("created_time")
  private Date createdTime;

  /**
   * 更新时间
   */
  @TableField("updated_time")
  private Date updatedTime;


}
